
/*
Contains the arabic dictionnarie

default: latin-english
*/

sourahNames = ["الفاتحة" ,"البقرة" ,"آل عمران" ,"النساء" ,"المائدة" ,"الأنعام" ,"الأعراف" ,"الأنفال" ,"التوبة" ,"يونس" ,"هود" ,"يوسف" ,"الرعد" ,"إبراهيم" ,"الحجر" ,"النحل" ,"الإسراء" ,"الكهف" ,"مريم" ,"طه" ,"الأنبياء" ,"الحج" ,"المؤمنون" ,"النّور" ,"الفرقان" ,"الشعراء" ,"النّمل" ,"القصص" ,"العنكبوت" ,"الرّوم" ,"لقمان" ,"السجدة" ,"الأحزاب" ,"سبأ" ,"فاطر" ,"يس" ,"الصافات" ,"ص" ,"الزمر" ,"غافر" ,"فصّلت" ,"الشورى" ,"الزخرف" ,"الدّخان" ,"الجاثية" ,"الأحقاف" ,"محمد" ,"الفتح" ,"الحجرات" ,"ق" ,"الذاريات" ,"الطور" ,"النجم" ,"القمر" ,"الرحمن" ,"الواقعة" ,"الحديد" ,"المجادلة" ,"الحشر" ,"الممتحنة" ,"الصف" ,"الجمعة" ,"المنافقون" ,"التغابن" ,"الطلاق" ,"التحريم" ,"الملك" ,"القلم" ,"الحاقة" ,"المعارج" ,"نوح" ,"الجن" ,"المزّمّل" ,"المدّثر" ,"القيامة" ,"الإنسان" ,"المرسلات" ,"النبأ" ,"النازعات" ,"عبس" ,"التكوير" ,"الإنفطار" ,"المطفّفين" ,"الإنشقاق" ,"البروج" ,"الطارق" ,"الأعلى" ,"الغاشية" ,"الفجر" ,"البلد" ,"الشمس" ,"الليل" ,"الضحى" ,"الشرح" ,"التين" ,"العلق" ,"القدر" ,"البينة" ,"الزلزلة" ,"العاديات" ,"القارعة" ,"التكاثر" ,"العصر" ,"الهمزة" ,"الفيل" ,"قريش" ,"الماعون" ,"الكوثر" ,"الكافرون" ,"النصر" ,"المسد" ,"الإخلاص" ,"الفلق" ,"النّاس"];

isRTL = true;

dicoVars = {
	'VALID_SOURAH_SELECTION': 'الرجاء التأكد من صحة اسم السورة'
	, 'START_END_INTERVAL': 'على آيتي البداية و النهاية أن تكونا ضمن المجال 1 إلى '
	, 'REPEAT_TIME_MIN_VAL': 'يجب أن يكون عدد التكرار أكبر من 1'
	, 'REPEAT_ALL_TIME_MIN_VAL': 'يجب أن يكون عدد التكرار الكل أكبر من 0'
	, 'START_AYAH_MIN_VAL': 'الآية الأولى يجب أن تكون أكبر من 1'
	, 'START_AYAH_MAX_VAL': 'على آية البداية أن تكون أصغر من '
	, 'END_AYAH_MAX_VAL': 'على آية النهاية أن تكون أصغر من '
	, 'END_AYAH_MIN_VAL': 'على آية النهاية أن تكون أكبر من '
	, 'YES_REPEAT_AFTER_RECITER': 'سيبدأ تطبيق الإعداد انطلاقا من الآية المقبلة'
	, 'SELECT_VALID_RECITER': 'رجاءاً تأكد من اختيار القارء من القائمة'
};

reciters = {
   "1":{
      "name":"عبد الباسط، مرتل"
   },
   "2":{
      "name":"عبد الباسط، مرتل"
   },
   "3":{
      "name":"عبد الباسط، مجود"
   },
   "4":{
      "name":"عبد الله بصفر"
   },
   "5":{
      "name":"عبد الله بصفر"
   },
   "6":{
      "name":"عبد الله بصفر"
   },
   "7":{
      "name":"عبد الرحمان السديس"
   },
   "8":{
      "name":"عبد الرحمان السديس"
   },
   "9":{
      "name":"عبد الصمد"
   },
   "10":{
      "name":"أبو بكر الشاطري"
   },
   "11":{
      "name":"أبو بكر الشاطريأ"
   },
   "12":{
      "name":"أحمد ابن علي العجمي"
   },
   "13":{
      "name":"أحمد ابن علي العجمي"
   },
   "14":{
      "name":"العفاسي"
   },
   "15":{
      "name":"العفاسي"
   },
   "16":{
      "name":"سعد الغامدي"
   },
   "17":{
      "name":"هاني الرفاعي"
   },
   "18":{
      "name":"هاني الرفاعي"
   },
   "19":{
      "name":"محمود خليل الحصري"
   },
   "20":{
      "name":"محمود خليل الحصري"
   },
   "21":{
      "name":"الحصري، مجود"
   },
   "22":{
      "name":"الحصري، مجود"
   },
   "23":{
      "name":"الحديفي"
   },
   "24":{
      "name":"الحديفي"
   },
   "25":{
      "name":"الحديفي"
   },
   "26":{
      "name":"إبراهيم الأخضر"
   },
   "28":{
      "name":"ماهر المعيقلي"
   },
   "30":{
      "name":"المنشاوي"
   },
   "32":{
      "name":"المنشاوي، مجود"
   },
   "33":{
      "name":"المنشاوي، مجود"
   },
   "34":{
      "name":"المنشاوي، مرتل"
   },
   "35":{
      "name":"محمد الطبلاوي"
   },
   "36":{
      "name":"محمد الطبلاوي"
   },
   "37":{
      "name":"محمد أيوب"
   },
   "38":{
      "name":"محمد أيوب"
   },
   "40":{
      "name":"محمد جبريل"
   },
   "41":{
      "name":"محمد جبريل"
   },
   "43":{
      "name":"سعود الشريم"
   },
   "44":{
      "name":"سعود الشريم"
   },
   "49":{
      "name" :  "بارغزكار"
   },
   "51":{
      "name":"صلاح عبد الرحمان بوخاطر"
   },
   "52":{
      "name":"محسن القاسم"
   },
   "53":{
      "name":"عبد الله عواد الجهني"
   },
   "54":{
      "name":"صلاح البدير"
   },
   "55":{
      "name":"عبد الله مطرود"
   },
   "56":{
      "name":"أحمد نعينع"
   },
   "57":{
      "name":"محمد عبد الكريم"
   },
   "58":{
     "name":"خليفة الطنيجي"
   },
   "59":{
     "name":"محمود علي البنا"
   },
   "60":{
     "name":"إبراهيم الدسيري، ورش"
   },
   "61":{
     "name":"ياسين الجزائري، ورش"
   },
   "65":{
     "name":"الحصري، معلم"
   },
   "66":{
     "name":"خالد عبد الله القحطاني"
   }
};